# GenerateProjectFileTask

API Documentation: | `GenerateProjectFileTask`

Note: This class is incubating and may change in a future version of Gradle.

Task for generating a Visual Studio project file (e.g. `foo.vcxproj`).

### Properties

Property | Description
`inputFile` | The input file to load the initial configuration from. Defaults to the output file. If the specified input file does not exist, this task uses some default initial configuration.
`outputFile` | The output file to write the final configuration to.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `File` `inputFile`

The input file to load the initial configuration from. Defaults to the output file. If the specified input file does not exist, this task uses some default initial configuration.

#### `File` `outputFile`

The output file to write the final configuration to.